Skip to content
Get started

Nept

Get NEPT token params
GET/api/v1/nept/params
Get NEPT token state
GET/api/v1/nept/state
ModelsExpand Collapse
NeptParams = object { asset_info, emission_rate, extra, 2 more }
asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

emission_rate: string

The emission rate of NEPT in tokens per year

extra: object { text, value }
text: object { emission_rate }

Human-readable field variants. Will not be null when query param with_text is true.

emission_rate: string
value: object { emission_rate, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

emission_rate: string
extra: object { text }
text: object { emission_rate, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

emission_rate: string
price: string

Text representation of price

price: string

Price used in value calculations

staking_pools: array of object { duration, extra, index, params }

Staking pools

duration: number

The lockup duration for this pool in seconds

formatuint64
minimum0
extra: object { text }
text: object { duration, index }

Human-readable field variants. Will not be null when query param with_text is true.

duration: string
index: string
index: number

The ordered index (position) of this pool

formatuint8
minimum0
maximum255
params: StakingPoolParams { flash_loan_weight, gov_weight, health_weight, reward_weight }

Staking pool contract parameters

flash_loan_weight: string

The pool's weight (multiplier) for flash loans volume

gov_weight: string

The pool's weight (multiplier) on governance for an associated stake

health_weight: string

The pool's weight (multiplier) on account health for an associated stake

reward_weight: string

The pool's weight (multiplier) on rewards for an associated stake

tokens_per_weight: number

Weight:token scaling factor

This is defined in the contract spec to mitigate library type restrictions

formatuint64
minimum0
NeptState = object { extra, staking, total_claimed, 3 more }
extra: object { text, value }
text: object { total_claimed, total_issued, total_locked, total_supply }

Human-readable field variants. Will not be null when query param with_text is true.

total_claimed: string
total_issued: string
total_locked: string
total_supply: string
value: object { extra, price, total_claimed, 3 more }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, total_claimed, total_issued, 2 more }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

total_claimed: string
total_issued: string
total_locked: string
total_supply: string
price: string

Price used in value calculations

total_claimed: string
total_issued: string
total_locked: string
total_supply: string
staking: array of object { duration, extra, index, state }

Staking pools (current pool state is included)

duration: number

The lockup duration for this pool in seconds

formatuint64
minimum0
extra: object { text }
text: object { duration, index }

Human-readable field variants. Will not be null when query param with_text is true.

duration: string
index: string
index: number

The ordered index (position) of this pool

formatuint8
minimum0
maximum255
state: StakingPoolState { extra, total_bonded }

Current contract state of staking pool

extra: object { text, value }
text: object { total_bonded }

Human-readable field variants. Will not be null when query param with_text is true.

total_bonded: string
value: object { extra, price, total_bonded }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, total_bonded }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

total_bonded: string
price: string

Price used in value calculations

total_bonded: string
total_bonded: string

The total amount staked to this pool

total_claimed: string

Total amount of NEPT claimed, either locked or unlocked

Includes initial balances and claimed rewards but not unclaimed rewards

total_issued: string

Total amount of NEPT issued, either locked or unlocked

Includes initial balances and all claimed or claimable rewards

total_locked: string

Total amount of NEPT locked

Inlcudes unlocks which have not yet been claimed

total_supply: string

Total supply of NEPT

Includes locked and unissued tokens

NeptUnlockDistributionGroup = object { amount, amount_claimable, amount_claimed, 8 more }
amount: string

The sum of all token distribution unlock amounts for this group.

This value is immutable and does not change with regards to expiry/reclamation/lock states.

amount_claimable: string

The amount currently claimable

This takes into account: reclamation, lock state, expiry, and previously claimed. In other words, this is an accurate representation of what the user can currently claim.

amount_claimed: string

The amount that has already been successfully claimed by the user

amount_expired: string

The amount that has expired.

This will be the remaining unclaimed amount (if any) once the time specified by the expires_at is past (if one is set).

NOTE: Reclaimed amouts take priority.

  • If the remaining amount is reclaimed prior to a configured expires_at, this will remain at 0 and will not change even after the expires_at time is reached.
amount_held: string

The total amount of NEPT currently held by the addresses in this group.

amount_locked: string

The total amount of NEPT currently time-locked.

NOTE: This does not factor in reclaimed or expired states.

  • For linear unlock schedules:

    • This represents how much NEPT is time-locked by the begins_at and the ends_at properties.
  • For lump sum unlocks:

    • This will be the full amount prior to the begins_at unlock property.
    • Once the time indicated by the begins_at property has been reached, this value will be 0.
amount_reclaimed: string

The amount that has been reclaimed from the unlock arrangement admin

This will be the amount of the remaining unclaimed and locked at the time the reclaim is issued.

amount_staked: string

The total amount of NEPT current staked by the addresses in this group.

amount_unlocked: string

The total amount of NEPT currently unlocked

NOTE: This does not factor in reclaimed or expired states.

  • For linear unlock schedules:

    • This represents the "progress" of unlocked NEPT from the time range between the begins_at and the ends_at properties.
  • For lump sum unlocks:

    • This will be 0 at any given time prior to the timestamp provided by the begins_at unlock property.
    • Once the time indicated by the begins_at property has been reached, this value will be the full amount of the unlock.
extra: object { percent, text, value }
percent: object { amount_claimable, amount_claimed, amount_expired, 4 more }

Percentages for unlock amounts. These do not factor in the amount_staked or amount_held values. Will not be null when query param with_percent is true.

amount_claimable: string
amount_claimed: string
amount_expired: string
amount_locked: string
amount_reclaimed: string
amount_unlocked: string
extra: object { text }
text: object { amount_claimable, amount_claimed, amount_expired, 3 more }

Human-readable variants of percentages for unlock amounts. Will not be null when query params with_text and with_percent are true.

amount_claimable: string
amount_claimed: string
amount_expired: string
amount_locked: string
amount_reclaimed: string
amount_unlocked: string
text: object { amount, amount_claimable, amount_claimed, 7 more }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
amount_claimable: string
amount_claimed: string
amount_expired: string
amount_held: string
amount_locked: string
amount_reclaimed: string
amount_staked: string
amount_unlocked: string
member_class: string
value: object { amount, amount_claimable, amount_claimed, 8 more }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
amount_claimable: string
amount_claimed: string
amount_expired: string
amount_held: string
amount_locked: string
amount_reclaimed: string
amount_staked: string
amount_unlocked: string
extra: object { text }
text: object { amount, amount_claimable, amount_claimed, 7 more }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
amount_claimable: string
amount_claimed: string
amount_expired: string
amount_held: string
amount_locked: string
amount_reclaimed: string
amount_staked: string
amount_unlocked: string
price: string

Text representation of price

price: string

Price used in value calculations

member_class: "team" or "advisor" or "investor"

The group category

One of the following:
"team"
"advisor"
"investor"
StakingPoolFull = object { duration, extra, index, 2 more }

Staking pool contents along with associated pool state and pool params

duration: number

The lockup duration for this pool in seconds

formatuint64
minimum0
extra: object { text }
text: object { duration, index }

Human-readable field variants. Will not be null when query param with_text is true.

duration: string
index: string
index: number

The ordered index (position) of this pool

formatuint8
minimum0
maximum255
params: StakingPoolParams { flash_loan_weight, gov_weight, health_weight, reward_weight }

Staking pool contract parameters

flash_loan_weight: string

The pool's weight (multiplier) for flash loans volume

gov_weight: string

The pool's weight (multiplier) on governance for an associated stake

health_weight: string

The pool's weight (multiplier) on account health for an associated stake

reward_weight: string

The pool's weight (multiplier) on rewards for an associated stake

state: StakingPoolState { extra, total_bonded }

Current contract state of staking pool

extra: object { text, value }
text: object { total_bonded }

Human-readable field variants. Will not be null when query param with_text is true.

total_bonded: string
value: object { extra, price, total_bonded }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, total_bonded }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

total_bonded: string
price: string

Price used in value calculations

total_bonded: string
total_bonded: string

The total amount staked to this pool

StakingPoolParams = object { flash_loan_weight, gov_weight, health_weight, reward_weight }
flash_loan_weight: string

The pool's weight (multiplier) for flash loans volume

gov_weight: string

The pool's weight (multiplier) on governance for an associated stake

health_weight: string

The pool's weight (multiplier) on account health for an associated stake

reward_weight: string

The pool's weight (multiplier) on rewards for an associated stake

StakingPoolState = object { extra, total_bonded }
extra: object { text, value }
text: object { total_bonded }

Human-readable field variants. Will not be null when query param with_text is true.

total_bonded: string
value: object { extra, price, total_bonded }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, total_bonded }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

total_bonded: string
price: string

Price used in value calculations

total_bonded: string
total_bonded: string

The total amount staked to this pool